datacache <- new.env(hash=TRUE, parent=emptyenv())

tilingcelegans10rceentrezg <- function() showQCData("tilingcelegans10rceentrezg", datacache)
tilingcelegans10rceentrezg_dbconn <- function() dbconn(datacache)
tilingcelegans10rceentrezg_dbfile <- function() dbfile(datacache)
tilingcelegans10rceentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
tilingcelegans10rceentrezg_dbInfo <- function() dbInfo(datacache)

tilingcelegans10rceentrezgORGANISM <- "Caenorhabditis elegans"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "tilingcelegans10rceentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("WORMCHIP_DB", "tilingcelegans10rceentrezg", "chip tilingcelegans10rceentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(tilingcelegans10rceentrezg_dbconn())
}

